org.hibernate.search.engine.metadata.impl

## Class BridgeDefinedField

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.BridgeDefinedField

-     public class BridgeDefinedField
      extends Object

  A field defined by a bridge.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BridgeDefinedField(BackReference<DocumentFieldMetadata> sourceField, String absoluteName, FieldType type)`
    `BridgeDefinedField(BridgeDefinedField bridgeDefinedField)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `add(Class<T> backendBridgeDefineFieldClass, T backendBridgeDefineField)` Adds the object that containing the field properties specific for a backend,
    `String` | `getAbsoluteName()`
    `<T> T` | `getBridgeDefinedField(Class<T> bridgeDefineFieldClass)` Get the bridge defined field of the specific class.
    `Field.Index` | `getIndex()`
    `DocumentFieldMetadata` | `getSourceField()`
    `FieldType` | `getType()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BridgeDefinedField

          public BridgeDefinedField(BridgeDefinedField bridgeDefinedField)

    - #### BridgeDefinedField

          public BridgeDefinedField(BackReference<DocumentFieldMetadata> sourceField,
                                    String absoluteName,
                                    FieldType type)

  - ### Method Detail

    - #### getSourceField

          public DocumentFieldMetadata getSourceField()

      Returns:
        The `DocumentFieldMetadata` whose field bridge declared this field.

    - #### getAbsoluteName

          public String getAbsoluteName()

      Returns:
        The full name of this field, including any indexed-embedded prefix.

    - #### getIndex

          public Field.Index getIndex()

    - #### getType

          public FieldType getType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### add

          public <T> void add(Class<T> backendBridgeDefineFieldClass,
                              T backendBridgeDefineField)

      Adds the object that containing the field properties specific for a backend,
      Parameters:
        `backendBridgeDefineFieldClass` - the type of the object containing the properties
        `backendBridgeDefineField` - the object that stores the properties

    - #### getBridgeDefinedField

          public <T> T getBridgeDefinedField(Class<T> bridgeDefineFieldClass)

      Get the bridge defined field of the specific class.
      Parameters:
        `bridgeDefineFieldClass` - the type of the object containing the properties of the field
      Returns:
        the object containing the properties of the field

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved